<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: substring_index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for substring_index {SparkR}"><tr><td>substring_index {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>substring_index</h2>

<h3>Description</h3>

<p>Returns the substring from string str before count occurrences of the delimiter delim.
If count is positive, everything the left of the final delimiter (counting from left) is
returned. If count is negative, every to the right of the final delimiter (counting from the
right) is returned. substring_index performs a case-sensitive match when searching for delim.
</p>


<h3>Usage</h3>

<pre>
## S4 method for signature 'Column,character,numeric'
substring_index(x, delim, count)

substring_index(x, delim, count)
</pre>


<h3>See Also</h3>

<p>Other string_funcs: <code><a href="ascii.html">ascii</a></code>,
<code><a href="ascii.html">ascii</a></code>; <code><a href="base64.html">base64</a></code>,
<code><a href="base64.html">base64</a></code>; <code><a href="concat_ws.html">concat_ws</a></code>,
<code><a href="concat_ws.html">concat_ws</a></code>; <code><a href="concat.html">concat</a></code>,
<code><a href="concat.html">concat</a></code>; <code><a href="decode.html">decode</a></code>,
<code><a href="decode.html">decode</a></code>; <code><a href="encode.html">encode</a></code>,
<code><a href="encode.html">encode</a></code>; <code><a href="format_number.html">format_number</a></code>,
<code><a href="format_number.html">format_number</a></code>; <code><a href="format_string.html">format_string</a></code>,
<code><a href="format_string.html">format_string</a></code>; <code><a href="initcap.html">initcap</a></code>,
<code><a href="initcap.html">initcap</a></code>; <code><a href="instr.html">instr</a></code>,
<code><a href="instr.html">instr</a></code>; <code><a href="length.html">length</a></code>;
<code><a href="levenshtein.html">levenshtein</a></code>, <code><a href="levenshtein.html">levenshtein</a></code>;
<code><a href="locate.html">locate</a></code>, <code><a href="locate.html">locate</a></code>;
<code><a href="lower.html">lower</a></code>, <code><a href="lower.html">lower</a></code>;
<code><a href="lpad.html">lpad</a></code>, <code><a href="lpad.html">lpad</a></code>;
<code><a href="ltrim.html">ltrim</a></code>, <code><a href="ltrim.html">ltrim</a></code>;
<code><a href="regexp_extract.html">regexp_extract</a></code>,
<code><a href="regexp_extract.html">regexp_extract</a></code>;
<code><a href="regexp_replace.html">regexp_replace</a></code>,
<code><a href="regexp_replace.html">regexp_replace</a></code>; <code><a href="reverse.html">reverse</a></code>,
<code><a href="reverse.html">reverse</a></code>; <code><a href="rpad.html">rpad</a></code>,
<code><a href="rpad.html">rpad</a></code>; <code><a href="rtrim.html">rtrim</a></code>,
<code><a href="rtrim.html">rtrim</a></code>; <code><a href="soundex.html">soundex</a></code>,
<code><a href="soundex.html">soundex</a></code>; <code><a href="translate.html">translate</a></code>,
<code><a href="translate.html">translate</a></code>; <code><a href="trim.html">trim</a></code>,
<code><a href="trim.html">trim</a></code>; <code><a href="unbase64.html">unbase64</a></code>,
<code><a href="unbase64.html">unbase64</a></code>; <code><a href="upper.html">upper</a></code>,
<code><a href="upper.html">upper</a></code>
</p>


<h3>Examples</h3>

<pre>
## Not run: 
substring_index(df$c, '.', 2)
substring_index(df$c, '.', -1)

## End(Not run)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
